package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 希沃请假数据审核状态
 * 请假审核状态：1未审核，2未通过，3已通过，4已撤销
 */
public enum eXwApproveStatu {
    Unaudited(1),//未审核
    Fail(2),//未通过
    Passed(3),//已通过
    Revoked(4);//已撤销

    private int value;

    eXwApproveStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eXwApproveStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eXwApproveStatu.Unaudited;
            case 2:
                return eXwApproveStatu.Fail;
            case 3:
                return eXwApproveStatu.Passed;
            case 4:
                return eXwApproveStatu.Revoked;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "未审核":
                return 1;
            case "未通过":
                return 2;
            case "已通过":
                return 3;
            case "已撤销":
                return 4;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "未审核";
            case 2:
                return "未通过";
            case 3:
                return "已通过";
            case 4:
                return "已撤销";
            default:
                return null;
        }
    }
}
